#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	Lightweight C library for storing RDF data in memory
Summary(pl.UTF-8):	Lekka biblioteka C do przechowywania danych RDF w pamięci
Name:		sord
Version:	0.16.18
Release:	1
License:	ISC
Group:		Libraries
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
# Source0-md5:	8c7bf82dfa5bd7d6906ded54032f8a64
URL:		http://drobilla.net/software/sord/
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pcre2-8-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	serd-devel >= 0.30.10
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zix-devel >= 0.4.0
%if %{with apidocs}
BuildRequires:	doxygen
%endif
Requires:	serd >= 0.30.10
Requires:	zix >= 0.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sord is a lightweight C library for storing RDF data in memory.

%description -l pl.UTF-8
Sort to lekka biblioteka C do przechowywania danych RDF w pamięci.

%package devel
Summary:	Header files for sord library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sord
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	serd-devel >= 0.30.10
Requires:	zix-devel >= 0.4.0

%description devel
Header files for sord library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sord.

%package apidocs
Summary:	API documentation for sord library
Summary(pl.UTF-8):	Dokumentacja API biblioteki sord
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for sord library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki sord.

%prep
%setup -q

%build
%meson \
	--default-library=shared \
	%{!?with_apidocs:-Ddocs=disabled}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.md
%attr(755,root,root) %{_bindir}/sord_validate
%attr(755,root,root) %{_bindir}/sordi
%attr(755,root,root) %{_libdir}/libsord-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsord-0.so.0
%{_mandir}/man1/sord_validate.1*
%{_mandir}/man1/sordi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsord-0.so
%{_includedir}/sord-0
%{_pkgconfigdir}/sord-0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%dir %{_docdir}/sord-0
%{_docdir}/sord-0/html
%endif
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sord.git;a=log;h=master

* Tue Mar 18 2025 Jakub Bogusz <qboosh@pld-linux.org> a12b83f
- updated to 0.16.18

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 3348630
- updated to 0.16.16

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> b131ac3
- updated to 0.16.14

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> d84d66a
- C++ compiler is not used (example is not compiled, packaged C++ API is header-only)

* Wed Aug 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 37b3409
- updated to 0.16.12; now uses meson

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 88d5256
- updated to 0.16.8

* Fri Mar 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 174fd76
- updated to 0.16.4

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> f7a6091
- updated to 0.16.2

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 35d475b
- updated to 0.16.0

* Tue Oct 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 2909cc8
- updated to 0.14.0

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> b44a4f5
- updated to 0.12.2

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> a85441d
- updated to 0.12.0

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 71b925e
- updated to 0.10.4

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 286c1a1
- updated to 0.10.0

* Fri Jun 15 2012 Jakub Bogusz <qboosh@pld-linux.org> e1eb9d4
- new

